Subject: Re: bug#38388: [2.9.5] Inaccurate source location info for unbound variables

From: Ludovic Courtès <[email-masked]>
Date: Sat, 07 Mar 2020 17:06:56 +0100

Hi,

Ludovic Courtès <[email-masked]> skribis:

> I have a test that runs ‘guix system build’ on this file:
>
> (use-modules (gnu))                                   ; 1
> (use-service-modules networking)                      ; 2
>
> (operating-system                                     ; 4
>   (host-name "antelope")                              ; 5
>   (timezone "Europe/Paris")                           ; 6
>   (locale "en_US.UTF-8")                              ; 7
>
>   (bootloader (GRUB-config (target "/dev/sdX")))      ; 9
>   (file-systems (cons (file-system
>                         (device (file-system-label "root"))
>                         (mount-point "/")
>                         (type "ext4"))
>                       %base-file-systems)))
>
> Here, ‘GRUB-config’ is unbound, and the test expects to see a stack
> frame corresponding to line 9.
>
> However, the stack frame we get is for line 11, char 32, which
> corresponds to (file-system-label "root").

I can’t say I got to the bottom of why we got this weird line number,
but commit d3a775ff10cbd0e14af38d6f900a7538db89bd90 solves this specific
issue.

Ludo’.